Create a recurring payment
curl --request POST \
--url https://api.trysynch.com/Payment/Recurring \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"startDate": "2023-12-25",
"intervalValue": 123,
"intervalUnit": {},
"phoneNumber": "<string>",
"registrationUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyReferenceId": "<string>"
}
'import requests
url = "https://api.trysynch.com/Payment/Recurring"
payload = {
"amount": 123,
"startDate": "2023-12-25",
"intervalValue": 123,
"intervalUnit": {},
"phoneNumber": "<string>",
"registrationUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyReferenceId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
startDate: '2023-12-25',
intervalValue: 123,
intervalUnit: {},
phoneNumber: '<string>',
registrationUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
companyReferenceId: '<string>'
})
};
fetch('https://api.trysynch.com/Payment/Recurring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentPlanId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Payment
Create a recurring payment
Creates a new recurring payment plan for one of the partner’s companies
POST
/
Payment
/
Recurring
Create a recurring payment
Authorizations
JWT Authorization header using the Bearer scheme.
Use /auth/token to obtain access token.
Enter 'Bearer' [space] and then your token in the text input below.
Example: 'Bearer eyJhbGci...'
Body
application/jsontext/jsonapplication/*+json
Response
OK
Last modified on June 2, 2026
Was this page helpful?
⌘I